Plugin Directory

Mandatory Field

This plugin is responsible for making certain fields mandatory before publishing any post in wordpress.

v1.6.7 Minor JS return type issue fixed

v1.6.6 Fixed the minor JS error

v1.6.4 Fixed the publish error Added Category/featured image notification

v1.6.3 Compatibility with 3.9.1

v1.6 Major update, added support for fields who has only ID and do not have Name attribute.(Javascript compulsory)

V1.5 Removed published post message if mandatory fields are not published Fixed post delete.

V1.4.1 Fix uncategoried category issue

V1.4 Added Support for categorires Fixed featured image bug.

V1.3 Added support for making featured image mandatory.

Requires: 2.9 or higher
Compatible up to: 3.9.9
Last Updated: 1 year ago
Active Installs: 200+


4.8 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 0,1,0